GET /monitors

Authentication

Bearer Token (hu_api_key)

Query Parameters

page integer optional query
per_page integer optional query
status string optional query
type string optional query
tag string optional query

Responses

200 Paginated list of monitors
application/json
data object[]
Array of:
name string REQUIRED
type string REQUIRED
Enum: http, ping, tcp, dns, keyword, heartbeat
url string (uri)
method string REQUIRED
Enum: GET, POST, PUT, DELETE, PATCH, HEAD, OPTIONS
headers object
body string
interval_seconds integer REQUIRED
timeout_ms integer REQUIRED
regions string[] REQUIRED
Array of:
assertions object[]
Array of:
type string REQUIRED
operator string REQUIRED
value string REQUIRED
auth_type string
Enum: basic, bearer, header
auth_config object
keyword string
keyword_type string REQUIRED
Enum: contains, not_contains, regex
heartbeat_interval integer
heartbeat_grace integer
ssl_check boolean REQUIRED
domain_check boolean REQUIRED
screenshot_on_failure boolean REQUIRED
screenshot_compare boolean REQUIRED
screenshot_threshold number REQUIRED
retry_count integer REQUIRED
tags string[]
Array of:
meta object
page integer REQUIRED
per_page integer REQUIRED
total integer REQUIRED
total_pages integer REQUIRED
401 Unauthorized
curl -X GET 'https://happyuptime.com/api/v1/monitors' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/monitors', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://happyuptime.com/api/v1/monitors', headers=headers)print(response.json())
200 Response
{  "data": [    {      "name": "<string>",      "type": "http",      "url": "<uri>",      "method": "GET",      "headers": "<object>",      "body": "<string>",      "interval_seconds": 123,      "timeout_ms": 123,      "regions": [        "us-east"      ],      "assertions": [        {          "type": "<string>",          "operator": "<string>",          "value": "<string>"        }      ],      "auth_type": "basic",      "auth_config": "<object>",      "keyword": "<string>",      "keyword_type": "contains",      "heartbeat_interval": 123,      "heartbeat_grace": 123,      "ssl_check": true,      "domain_check": true,      "screenshot_on_failure": true,      "screenshot_compare": true,      "screenshot_threshold": 123,      "retry_count": 123,      "tags": [        "<string>"      ]    }  ],  "meta": {    "page": 1,    "per_page": 25,    "total": 42,    "total_pages": 2  }}